Java in Firebird 0.7

Mozilla Firefox is de webbrowser van Mozilla. Volg in geval van problemen eerst onze standaard diagnose.
Gast
    unknown unknown

Java in Firebird 0.7

Bericht door Gast » 18 oktober 2003, 16:39

Gebruik Firebird 0.7 maar krijg Java niet aan de praat

Heb Java 1.4.2_01 geinstaleerd maar na de update naar Firebird 0.7 krijg ik steeds de vraag of ik de plugin wil instaleren, zeg ik ja dan donwload die java wat ik al heb

Weet iemand of ik ergens een extensie kan downloaden ofzo
Want op die extensie site kom ik niet op

Bedankt

frits
Berichten: 202
Lid geworden op: 22 september 2003, 9:29
    unknown unknown

Bericht door frits » 18 oktober 2003, 17:48


Gebruikersavatar
U Black Emperor
Berichten: 259
Lid geworden op: 18 oktober 2003, 16:42
Locatie: Silent Hill
    unknown unknown

Bericht door U Black Emperor » 18 oktober 2003, 18:28

Ok, Bedankt

Maar die bovenstaande link kan ik dus totaal niet bereiken, krijg een leeg scherm
& met onderstaande link moet ik Java downloaden wat ik ooit al eens gedaan heb

Er is dus geen andere oplossing dan mijn oude java te deinstaleren & opnieuw t instaleren

Had dit probleem niet met vorige Firebird versies
Lift Ur Skinny Fists Like Antennas 2 Heaven

Gebruikersavatar
ByteWarrior
Berichten: 3825
Lid geworden op: 15 oktober 2003, 14:56
Locatie: Tielt-Winge, België
    unknown unknown

Bericht door ByteWarrior » 18 oktober 2003, 19:26

U Black Emperor schreef:Maar die bovenstaande link kan ik dus totaal niet bereiken, krijg een leeg scherm...
Ik krijg dat hier momenteel ook. Waarschijnlijk surft er teveel volk tegelijk naar de site om nieuwe extensies te installeren. Dat gebeurt nog wel als ze een nieuwe versie uitgeven. Over enkele dagen raak je er terug op zonder problemen... :)

Gebruikersavatar
U Black Emperor
Berichten: 259
Lid geworden op: 18 oktober 2003, 16:42
Locatie: Silent Hill
    unknown unknown

Bericht door U Black Emperor » 18 oktober 2003, 20:11

Ok, Zal t over een paar daagjes nog eens proberen

Dank U
Lift Ur Skinny Fists Like Antennas 2 Heaven

Gebruikersavatar
nirwana
Beheerder
Berichten: 11378
Lid geworden op: 19 september 2003, 5:09
    unknown unknown

Bericht door nirwana » 18 oktober 2003, 20:25

Ook via http://java.mozdev.org/java_xpis/index.html moet je een Java-plugin kunnen installeren. Daar hebben ze een link naar een XPI. Dat is een Mozilla-installatie-bestand waarmee je extensies kunt installeren.

Gebruikersavatar
U Black Emperor
Berichten: 259
Lid geworden op: 18 oktober 2003, 16:42
Locatie: Silent Hill
    unknown unknown

Bericht door U Black Emperor » 18 oktober 2003, 20:46

Nog steed geen Java :(

Op die laatste link geklikt, Java geinstaleerd
Alles nagekeken wat aan moest staan in opties - advance
Alles klopt daar, maar nog steeds geen Java

Denk dat ik Java maar eens ga uninstallen & opnieuw ga instaleren
Had dit probleem niet met vorige updates v Firebird (zoals Nighties)

Toch bedankt voor alle hulp
Lift Ur Skinny Fists Like Antennas 2 Heaven

Gebruikersavatar
U Black Emperor
Berichten: 259
Lid geworden op: 18 oktober 2003, 16:42
Locatie: Silent Hill
    unknown unknown

Bericht door U Black Emperor » 18 oktober 2003, 21:09

Java gedeinstaleerd & opnieuw geinstaleerd
Maar helaas ook geen oplossing van dit probleem
Erg vreemd :roll:
Lift Ur Skinny Fists Like Antennas 2 Heaven

Gebruikersavatar
nirwana
Beheerder
Berichten: 11378
Lid geworden op: 19 september 2003, 5:09
    unknown unknown

Bericht door nirwana » 19 oktober 2003, 8:29

Het blijkt dat je nog een registry-entry moet toevoegen. Dat kan via dit bestand: http://plugindoc.mozdev.org/resources/f ... 42-fix.reg
Dat bevat de volgende regels:

REGEDIT4
[HKEY_LOCAL_MACHINE\SOFTWARE\mozilla.org\Mozilla]
"CurrentVersion"="1.5"

Overigens wordt verderop in dat onderwerp ook melding gemaakt dat die 1.5 mogelijk ook op 1.0 of 1.1 gezet kan worden.

De (yet unofficial) Firebird-installer voegt deze regel ook toe:
http://seb.mozdev.org/firebird#installer

Dan is er nog het JavaPlugin-controlpanel (Configuratiescherm). Daarin kun je op de browser-tab aangeven met welke browsers de plugin geassocieerd moet worden. Daar staat ook de optie Mozilla 1.1 or later. Alleen stond die bij mij helemaal niet aangevinkt en ik heb geen problemen met Java in Firebird.
Dat controlpanel is van Java 1.4.2-beta-b19, maar het is niet gezegd dat dat ook degene is die Firebird gebruikt.

Als ik about:plugins in de Firebird-adresbalk intik, dan krijg ik echter een waslijst aan Java Plugins te zien. Kortom, in de loop der tijd heb ik menige Java-versie geïnstalleerd:
File name: NPJPI142.dll
Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)

File name: NPOJI610.dll
Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)

File name: NPJava32.dll
Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)

File name: NPJava14.dll
Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)

File name: NPJava13.dll
Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)

File name: NPJava12.dll
Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)

File name: NPJava11.dll
Java Plug-in 1.4.2 for Netscape Navigator (DLL Helper)

Bij die NPJava12.dll staat zelfs een lijst MIME-types met verschillende versies: 1.1.2, 1.13 en 1.2 als in:
application/x-java-bean;version=1.2 JavaBeans
application/x-java-applet;version=1.1.3 Java Applet

Allemaal zijn ze enabled, dus ik heb geen idee welke Firebird gebruikt. Kortom, het is een zootje in mijn Java-plugins (stukje historie), maar uiteindelijk werkt het wel. Wat overigens niet wil zeggen dat je eerst zo'n zooi aan Java-spullen moet installeren alvorens het gaat werken.

Gebruikersavatar
nirwana
Beheerder
Berichten: 11378
Lid geworden op: 19 september 2003, 5:09
    unknown unknown

Bericht door nirwana » 19 oktober 2003, 8:46

Zie ook deze pagina speciaal voor plugin-problemen met Mozilla Firebird: http://plugindoc.mozdev.org/phoenix.html (Phoenix is de oude naam voor Mozilla Firebird).

Ook daar biedt men een Register-bestandje aan met de nodige instellingen. Lastig is wel even dat deze instellingen directory-afhankelijk zijn en dat je eerst het .reg-bestand moet aanpassen op jouw eigen situatie.

Overigens wordt ook hier weer verwezen naar de eerder genoemde Firebird-installer. Die maakt dezelfde instellingen aan, maar dan zonder dat je handmatig hoeft te bewerken.

Gebruikersavatar
U Black Emperor
Berichten: 259
Lid geworden op: 18 oktober 2003, 16:42
Locatie: Silent Hill
    unknown unknown

Bericht door U Black Emperor » 19 oktober 2003, 9:50

Dank U Nirwana

Als oplossing heb ik de de (yet unofficial) Firebird-installer gebruikt

Maar ga in ieder geval alle andere links bestuderen
Zo leer ik er steeds meer van

Nirwana zei:
"Als ik about:plugins in de Firebird-adresbalk intik, dan krijg ik echter een waslijst aan Java Plugins te zien"

Dat heb ik ook gedaan & ook bij mij was alles enabled maar toch werkte Java niet

In ieder geval bedankt voor de hulp :P
Lift Ur Skinny Fists Like Antennas 2 Heaven

Gebruikersavatar
nirwana
Beheerder
Berichten: 11378
Lid geworden op: 19 september 2003, 5:09
    unknown unknown

Bericht door nirwana » 29 januari 2004, 17:08

Zie ook eventueel deze oplossing:
-----
Zie http://bugzilla.mozilla.org/show_bug.cgi?id=229627 en http://www.squarefree.com/burningedge/ voor informatie over een opgeloste bug in Firebird betreffende Java (foutje in installatie-programma ontdekt)
-----
Met vriendelijke groet,

Martijn
[ Mede-oprichter + webmaster MozBrowser | beheerder Startpagina's over freeware, GIMP, Mozilla en OpenOffice.org / LibreOffice, Ubuntu